classification
Title: [EASY] Broken MSDN links in msilib docs
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Akash Jain, Mariatta, berker.peksag, docs@python
Priority: normal Keywords: easy, patch

Created on 2017-11-05 11:49 by berker.peksag, last changed 2017-11-15 00:27 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4397 merged python-dev, 2017-11-14 22:35
PR 4398 merged Jesse Bakker, 2017-11-14 23:30
Messages (5)
msg305593 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-11-05 11:49
Most of the MSDN links in Doc/library/msilib.rst are broken:

   https://docs.python.org/3/library/msilib.html

For example, the UuidToString link goes to

   https://msdn.microsoft.com/library?url=/library/en-us/rpc/rpc/uuidtostring.asp

But I believe the correct link should be

    https://msdn.microsoft.com/en-us/library/windows/desktop/aa379352(v=vs.85).aspx
msg306144 - (view) Author: Akash Jain (Akash Jain) Date: 2017-11-13 07:01
Hi,

I am new to contributing in Python, Can I work on this issue?
msg306241 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-11-14 23:06
New changeset 3bda02222aa3783bf85fc3ff8bc042aefd9c4fd3 by Mariatta (Jesse-Bakker) in branch 'master':
bpo-31948: Fix broken links in msilib docs (GH-4397)
https://github.com/python/cpython/commit/3bda02222aa3783bf85fc3ff8bc042aefd9c4fd3
msg306242 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-11-14 23:09
This couldn't be backported by miss-islington, so someone needs to do it manually.
msg306243 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-11-15 00:23
New changeset 42336def77f53861284336b3335098a1b9b8cab2 by Mariatta (Jesse-Bakker) in branch '3.6':
bpo-31948: Fix broken links in msilib docs (GH-4397). (GH-4398)
https://github.com/python/cpython/commit/42336def77f53861284336b3335098a1b9b8cab2
History
Date User Action Args
2017-11-15 00:27:17Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-15 00:23:41Mariattasetmessages: + msg306243
2017-11-14 23:30:01Jesse Bakkersetstage: backport needed -> patch review
pull_requests: + pull_request4346
2017-11-14 23:09:46Mariattasetmessages: + msg306242
stage: patch review -> backport needed
2017-11-14 23:06:21Mariattasetnosy: + Mariatta
messages: + msg306241
2017-11-14 22:35:35python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request4345
2017-11-13 07:01:13Akash Jainsetnosy: + Akash Jain
messages: + msg306144
2017-11-06 16:30:38vstinnersettitle: Broken MSDN links in msilib docs -> [EASY] Broken MSDN links in msilib docs
2017-11-05 11:49:27berker.peksagcreate